/* Estilos CSS para personalizar la apariencia de la página */


/* Ajustar altura de la barra de navegación */
/*HEADER*/

/*NAVBAR*/
.navbar-brand h1 {
  margin-left: 80px ;
  font-family: 'Roboto Condensed', sans-serif;
  font-size: 18px;
  color: rgba(20, 0, 133, 0.624);
  text-transform: uppercase;
  font-weight: bold;
}


#rotation {
        width: 50px;
        height: 50px;
        position: absolute;
        top: 45%;
        left: 3.5%;
      
        transform: translate(-50%, -50%) perspective(1000px);
        animation: rotate 3s infinite linear;
      }
  
      @keyframes rotate {
        0% { transform: translate(-50%, -50%) perspective(1000px) rotateY(0deg); }
        100% { transform: translate(-50%, -50%) perspective(1000px) rotateY(360deg); }
      }
      
          
      .title-head { /*ingreso texto*/
        margin: 100;
        padding: 10;
        margin-left: 25px;
        margin-top: 5px;
        white-space: break-spaces;
        overflow: hidden;
        animation: slide-from-left 2s forwards;
      }
      
      @keyframes slide-from-left {
        from {
          transform: translateX(-100%);
          opacity: 0;
        }
        to {
          transform: translateX(0);
          opacity: 1;
        }
      }
/* BODY*/


/*POPUP*/
.popup {
  position: fixed;
  margin-top: 4.5px;
  top: 4.5%;
  right: 0;
  transform: translateY(-50%);
  background-color: transparent;
  z-index: 9999;
  padding: 5px;
  transition: transform 2.0s;
}

.popup-text {  
  margin-bottom: 10px;
  font-size: 18px;
  font-family: 'Roboto Condensed', sans-serif;
}

/* Estilo adicional para ocultar el pop-up */
.popup.hidden {
transform: translateX(100%);
}

.dropbtn.transparent.bold { /* aquí están contenidos los estilos aplicados al popup*/
background-color: transparent;
color: rgba(0, 0, 0, 0.442);/*color de fuente del popup*/
border: white;
font-weight: bold;
}

.dropdown { /*aquí está contenida la posición y alineación de los objetos del popup*/
position: relative;
display: inline-block;
}

.dropdown-content { /*aquí está contenido el formato de los objetos desplegados*/
display: none; /*comando sostiene los objetos antes de ser desplegados*/
position: absolute;
background-color: #000d6417;
min-width: 160px;
box-shadow: 0px 8px 16px 0px rgba(21, 0, 255, 0.252);
z-index: 1;
}

.dropdown-content a {/*formato texto del dropdown*/
color: rgb(255, 255, 255);
font-family: 'Roboto Condensed', sans-serif;
text-align: left ;
display: flex;
}



.dropdown-item img {
  width: 25px;
  height: 25px;
  margin-right: 10px;
}

.dropdown-item h1 {
  font-size: 16px;
  margin: 0;
}


.dropdown:hover .dropdown-content {
display: block;
}

/*SEARCH BAR*/
.search-bar {
  position: center;
  margin-left: 20px;
  }

.search-bar input[type="text"] {
  padding: 5px 5px;
  border: none;
  background-color: transparent;
  color: #333;
  transition: background-color 0.3s ease;
  }

.search-bar input[type="text"]:hover {
  background-color: rgba(0, 0, 0, 0.1); /* Color de fondo transparente al pasar el cursor */
  }


/*CARRUSEL*/
.carousel-section {
  position: relative;
  overflow: visible;
}

.carousel-section .carousel-inner {
  height: 450px; /* Altura inicial del carrusel */
  transition: height 0.3s;
}


.carousel-section .carousel-item {
  height: 100%;
  opacity: 0.45;
}

.carousel-section::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Ajusta la opacidad del fondo del carrusel */
  z-index: -1;
}

.carousel-content {
  position: relative;
  z-index: 2;
  color: #fff;
  }
/*CONENIDO*/

.content { /*aplica a los textos desplazables*/
  position: absolute;
  top: 50%;
  right: 50%;
  transform: translateY(-50%);
  width: 50%;
  padding: 20px;
  background-color: rgba(0, 0, 0, 0.13);
  text-align: justify;
  font-weight: bold;
  animation: slide-in 1s ease-out;
  color: #ffffff;
}
.content {
  padding-top: 80px; /* Ajusta el espacio superior para que el contenido no se superponga con el encabezado */
  /* Estilos adicionales para el contenido principal */
}

@keyframes slide-in {
  from {
    right: -100%;
  }
  to {
    right: 50%;
  }
}
/*FOOTER*/


.footer-menu ul { /*ajusta la alineación del los hypervínculos y el texto inferior*/
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-menu ul li {/*alinea el texto horizontalmente*/
  display: inline-block;
  margin: 0 10px;
}

.footer-menu ul li a { /*da formato al texto de los hypervínculos*/
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: #001ca5;
  position: sticky;
}

.footer { /*formato del footer*/
  opacity: 65%;
  height: 18%; /* Reducir la altura en un 25% */
  background: linear-gradient(to right, #ffffff, #4e4e4e1a), url('source/img/rainbow.png') no-repeat top right / auto 100%;
  text-align: center;
  position: fixed;
  bottom: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px 0; /* Espaciado interno superior e inferior del footer */
  font-size: 14px; /* Tamaño de fuente del texto del footer */
}

.footer-images {
  width: 28%; /* Ajusta el ancho de las imágenes según sea necesario */
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  object-fit: cover;
  position: absolute;
  top: -0px;
  left: -0px;
}

.footer-images img {/*ajusta el tamaño de kas imagenes*/
  width: 35%;
  height: fit-content;
  margin-bottom: 0; /* Espacio entre las imágenes */
  object-fit: contain;
  }












